| Wireshark 4.7.3 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
CaptureEvent Class Reference

Represents an event occurring during a capture or file operation. More...

`#include <capture_event.h>`

## Public Types
enum | Context { File = 0x0002 , Reload = 0x0100 | File , Rescan = 0x0200 | File , Save = 0x0400 | File , Retap = 0x0800 | File , Merge = 0x1000 | File }
| Defines the operational context of the event. More...
enum | EventType { Opened = 0x0001 , Started = 0x0002 , Finished = 0x0004 , Closing = 0x0008 , Closed = 0x0010 , Failed = 0x0020 , Stopped = 0x0040 , Flushed = 0x0080 , Prepared = 0x0100 , Continued = 0x0200 , Stopping = 0x0400 , Toolbar = 0x0800 }
| Defines the specific type of event. More...

## Public Member Functions
| CaptureEvent (Context ctx, EventType evt)
| Constructs a new CaptureEvent with a specific context and event type.
| CaptureEvent (Context ctx, EventType evt, QString file)
| Constructs a new CaptureEvent with an associated file path.
| CaptureEvent (Context ctx, EventType evt, capture_session *session)
| Constructs a new CaptureEvent with an associated capture session.
| CaptureEvent (const CaptureEvent &ce)
| Copy constructor for CaptureEvent.
Context | captureContext () const
| Retrieves the context of the capture event.
EventType | eventType () const
| Retrieves the type of the capture event.
QString | filePath () const
| Retrieves the associated file path.
capture_session * | capSession () const
| Retrieves the associated capture session.

## Detailed Description

Represents an event occurring during a capture or file operation.

## Member Enumeration Documentation

## ◆ Context

enum CaptureEvent::Context

Defines the operational context of the event.

Enumerator
File | A file operation context.
Reload | A file reload context.
Rescan | A file rescan context.
Save | A file save context.
Retap | A file retap context.
Merge | A file merge context.

## ◆ EventType

enum CaptureEvent::EventType

Defines the specific type of event.

Enumerator
Opened | The capture or file was opened.
Started | The operation has started.
Finished | The operation has finished.
Closing | The capture or file is currently closing.
Closed | The capture or file was closed.
Failed | The operation failed.
Stopped | The operation was stopped.
Flushed | The data was flushed.
Prepared | The operation was prepared.
Continued | The operation has continued.
Stopping | The operation is currently stopping.
Toolbar | The operation is a toolbar control update.

## Constructor & Destructor Documentation

## ◆ CaptureEvent() [1/4]

CaptureEvent::CaptureEvent | ( | Context | ctx,
|  | EventType | evt )

Constructs a new CaptureEvent with a specific context and event type.

Parameters

  ctx | The context in which the event occurred.
  evt | The type of event.

## ◆ CaptureEvent() [2/4]

CaptureEvent::CaptureEvent | ( | Context | ctx,
|  | EventType | evt,
|  | QString | file )

Constructs a new CaptureEvent with an associated file path.

Parameters

  ctx | The context in which the event occurred.
  evt | The type of event.
  file | The file path associated with the event.

## ◆ CaptureEvent() [3/4]

CaptureEvent::CaptureEvent | ( | Context | ctx,
|  | EventType | evt,
|  | capture_session * | session )

Constructs a new CaptureEvent with an associated capture session.

Parameters

  ctx | The context in which the event occurred.
  evt | The type of event.
  session | The capture session associated with the event.

## ◆ CaptureEvent() [4/4]

CaptureEvent::CaptureEvent | ( | const CaptureEvent & | ce | ) |

Copy constructor for CaptureEvent.

Parameters

  ce | The CaptureEvent to copy.

## Member Function Documentation

## ◆ capSession()

capture_session * CaptureEvent::capSession | ( |  | ) | const

Retrieves the associated capture session.

Returns
  A pointer to the capture session.

## ◆ captureContext()

CaptureEvent::Context CaptureEvent::captureContext | ( |  | ) | const

Retrieves the context of the capture event.

Returns
  The context of the event.

## ◆ eventType()

CaptureEvent::EventType CaptureEvent::eventType | ( |  | ) | const

Retrieves the type of the capture event.

Returns
  The event type.

## ◆ filePath()

QString CaptureEvent::filePath | ( |  | ) | const

Retrieves the associated file path.

Returns
  The file path string.

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/capture_event.h
- /builds/wireshark/wireshark/ui/qt/capture_file.cpp